> ## Documentation Index
> Fetch the complete documentation index at: https://help.aasaan.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a custom domain.

> Create a custom domain.



## OpenAPI

````yaml post /{storeId}/customdomain
openapi: 3.0.0
info:
  title: AASAAN PARTNER REST API
  version: 1.0.0
  description: >-
    REST API endpoints are organized by resource type. You’ll need to use
    different endpoints depending on your app’s requirements.
servers:
  - url: https://partner-api.aasaan.shop/api/v1/partner-integrations/stores
    description: Development server
security: []
tags: []
paths:
  /{storeId}/customdomain:
    post:
      tags:
        - Custom Domain
      summary: Create a custom domain.
      description: Create a custom domain.
      parameters:
        - name: storeId
          in: path
          required: true
          schema:
            type: string
            description: Store ID for this resource request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomDomainBody'
              type: object
      responses:
        '201':
          description: Custom domain created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomDomain'
        '403':
          description: Invalid Api Key
        '422':
          description: Data error
        '500':
          description: Internal Server Error
components:
  schemas:
    CustomDomainBody:
      required:
        - name
      properties:
        name:
          type: string
          description: Name
          example: example.com
    CustomDomain:
      properties:
        id:
          type: string
          description: Unique identifier for the resource
          example: 623d3455ec3c4b3548eb4a322
        name:
          type: string
          description: Name
          example: example.com
        connected:
          type: boolean
          description: Connect the custom domain
          example: 'true'
        createdAt:
          type: string
          description: Created date
          example: '2022-03-25T03:17:44.092Z'
        updatedAt:
          type: string
          description: Updated date
          example: '2022-06-10T07:51:12.510Z'

````